# Uses of Enum Class
org.apache.sysds.runtime.io.FileFormatPropertiesMM.MMSymmetry

Packages that use FileFormatPropertiesMM.MMSymmetry
Package
Description
org.apache.sysds.runtime.io

## Uses of FileFormatPropertiesMM.MMSymmetry in org.apache.sysds.runtime.io

Methods in org.apache.sysds.runtime.io that return FileFormatPropertiesMM.MMSymmetry
Modifier and Type
Method
Description
`FileFormatPropertiesMM.MMSymmetry`
FileFormatPropertiesMM.`getSymmetry()`
`static FileFormatPropertiesMM.MMSymmetry`
FileFormatPropertiesMM.MMSymmetry.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FileFormatPropertiesMM.MMSymmetry[]`
FileFormatPropertiesMM.MMSymmetry.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sysds.runtime.io with parameters of type FileFormatPropertiesMM.MMSymmetry
Modifier
Constructor
Description
``
`FileFormatPropertiesMM(FileFormatPropertiesMM.MMFormat fmt, FileFormatPropertiesMM.MMField field, FileFormatPropertiesMM.MMSymmetry symmetry)`